public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "orbea" <orbea@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/libressl:master commit in: dev-lang/rust/
Date: Mon, 11 Mar 2024 14:57:29 +0000 (UTC)	[thread overview]
Message-ID: <1710169015.66a7126313570b5fbc7626721ef00ff39a1f2f77.orbea@gentoo> (raw)

commit:     66a7126313570b5fbc7626721ef00ff39a1f2f77
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Mon Mar 11 14:56:55 2024 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Mon Mar 11 14:56:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=66a71263

dev-lang/rust: commit the correct rust ebuild

Signed-off-by: orbea <orbea <AT> riseup.net>

 dev-lang/rust/rust-1.76.0.ebuild | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/dev-lang/rust/rust-1.76.0.ebuild b/dev-lang/rust/rust-1.76.0.ebuild
index 5c6cef7..0fc5c81 100644
--- a/dev-lang/rust/rust-1.76.0.ebuild
+++ b/dev-lang/rust/rust-1.76.0.ebuild
@@ -178,6 +178,14 @@ clear_vendor_checksums() {
 	sed -i 's/\("files":{\)[^}]*/\1/' "vendor/${1}/.cargo-checksum.json" || die
 }
 
+eapply_crate() {
+	pushd "${1:?}" > /dev/null || die
+	local patch="${2:?}"
+	eapply "${patch}"
+	"${EPREFIX}"/bin/sh "${FILESDIR}"/rehash-crate.sh "${patch}" || die
+	popd > /dev/null || die
+}
+
 toml_usex() {
 	usex "${1}" true false
 }
@@ -303,6 +311,8 @@ esetup_unwind_hack() {
 }
 
 src_prepare() {
+	eapply_crate vendor/openssl-sys "${FILESDIR}"/1.72.0-libressl-openssl-sys.patch
+
 	# Clear vendor checksums for crates that we patched to bump libc.
 	# NOTE: refresh this on each bump.
 	#for i in addr2line-0.20.0 bstr cranelift-jit crossbeam-channel elasticlunr-rs handlebars icu_locid libffi \


             reply	other threads:[~2024-03-11 14:57 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-11 14:57 orbea [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-18 16:28 [gentoo-commits] repo/proj/libressl:master commit in: dev-lang/rust/ orbea
2024-09-18 16:28 orbea
2024-08-27 19:35 orbea
2024-08-14 15:40 orbea
2024-07-24 18:56 orbea
2024-05-31  0:59 orbea
2024-05-03  1:06 orbea
2024-04-22 23:44 orbea
2024-04-05 17:24 orbea
2024-04-02 18:50 orbea
2024-03-24 15:22 orbea
2024-03-24 15:22 orbea
2024-03-10  8:30 orbea
2024-02-16 15:06 orbea
2024-02-16 15:06 orbea
2024-01-31  0:07 orbea
2024-01-16 21:14 orbea
2024-01-14 15:06 orbea
2024-01-14 15:06 orbea
2023-12-23 20:16 orbea
2023-12-22 14:56 orbea
2023-12-12 19:49 orbea
2023-11-14 17:45 orbea
2023-11-05  3:44 orbea
2023-10-18 17:01 orbea
2023-10-15 22:19 orbea
2023-10-09 17:14 orbea
2023-09-29 19:19 orbea
2023-09-17 16:22 orbea
2023-09-17 16:22 orbea
2023-08-29 21:11 orbea
2023-08-06 21:40 orbea
2023-07-20 19:07 orbea
2023-06-28  1:12 orbea
2023-06-14 14:41 orbea
2023-06-09 16:23 orbea
2023-06-08 18:29 orbea
2023-06-05  0:17 orbea
2023-04-25  1:29 orbea
2023-04-21  3:48 orbea
2023-04-06 21:31 Quentin Retornaz
2023-03-28 18:51 Quentin Retornaz
2023-01-31 23:14 Quentin Retornaz
2023-01-17  0:52 Quentin Retornaz
2023-01-14 23:23 Quentin Retornaz
2022-12-21 20:26 Quentin Retornaz
2022-11-15 21:18 Quentin Retornaz
2022-09-29 22:58 Quentin Retornaz
2022-09-24 20:10 Quentin Retornaz
2022-09-24 20:10 Quentin Retornaz
2022-09-23 16:00 Quentin Retornaz
2022-07-23 21:19 Quentin Retornaz
2022-07-04 16:49 Quentin Retornaz
2022-07-04 16:49 Quentin Retornaz
2022-06-10 23:36 Quentin Retornaz
2022-06-02  1:44 Quentin Retornaz
2022-04-28 23:40 Quentin Retornaz
2022-04-28 23:40 Quentin Retornaz
2022-01-21 21:26 Quentin Retornaz
2022-01-15 19:13 Quentin Retornaz
2021-11-06 18:17 Quentin Retornaz
2021-11-06 18:17 Quentin Retornaz
2021-07-28 21:05 Quentin Retornaz
2021-06-16 15:49 Quentin Retornaz
2021-06-16 15:49 Quentin Retornaz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1710169015.66a7126313570b5fbc7626721ef00ff39a1f2f77.orbea@gentoo \
    --to=orbea@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox